DCMTK - Feature #404

Update "oflog" to latest log4cplus release
2012-04-26 11:44 - J6rg Riesmeier

Status: Resolved Start date: 2012-04-26
Priority: Normal Due date:

Assignee: % Done: 60%
Category: Library Estimated time: 0:00 hour

Target version:
Module: oflog Compiler:

Operating System:

Description
Bis zum nachsten DCMTK-Release sollte ein sorgfaltiger Abgleich mit der aktuellen Version der log4cplus-Bibliothek stattfinden.

History

#1 - 2012-10-11 12:29 - Uli Schlachter

log4cplus 1.1.0 was released on 02.10.2012. Sounds like something we could use. :-)

#2 - 2012-10-12 09:32 - J6rg Riesmeier

Here's a list of new features (from log4cplus's homepage):

AsyncAppender, Log4jUdpAppender, SysLogAppender with remote syslog UDP logging support enabled on Windows, Qt4DebugAppender, simple C
interface for interoperability with C, inter—process file locking to file appenders to allow logging into a single log file from multiple processes, Mapped
Diagnostic Context (MDC), alternative thread identification (%T) converter to pattern layout, function name converter (%M), wchar_t <> char
conversion implementations based on standard C locale functions and based on iconv(), DeviceAppender to allow use of Boost.IOStream's Sink as
appender, LOG4CPLUS_*_FMT() macros to allow printf-like formatted output where it is possible (requires variadic macros support).

#3 - 2012-10-26 11:09 - Uli Schlachter

Since | am pretty sure that | won't be handling this on first checking (remind me to remind Jérg to do a snapshot before | break oflog), here is the list
of new configure macros needed by log4cplus 1.1.0:

$ git diff config | grep '+#define'

+#define DCMTK_LOG4CPLUS_HAVE_ARPA_INET_H
+#define DCMTK_LOG4CPLUS_HAVE_NETINET_TCP_H
+#define DCMTK_LOGA4CPLUS_HAVE_SYS_TIMEB_H
+#define DCMTK_LOG4CPLUS_HAVE_SYS_TIME_H

+#define DCMTK_LOG4CPLUS_HAVE_SYS_STAT_H

+#define DCMTK_LOGA4CPLUS_HAVE_SYS_SYSCALL_H
+#define DCMTK_LOG4CPLUS_HAVE_SYS_FILE_H

+#define DCMTK_LOG4CPLUS_HAVE_TIME_H

+#define DCMTK_LOGA4CPLUS_HAVE_FCNTL_H

+#define DCMTK_LOG4CPLUS_HAVE_STDARG_H

+#define DCMTK_LOG4CPLUS_HAVE_STDIO_H

+#define DCMTK_LOGA4CPLUS_HAVE_STDLIB_H

+#define DCMTK_LOG4CPLUS_HAVE_ERRNO_H

+#define DCMTK_LOG4CPLUS_HAVE_WCHAR_H

+#define DCMTK_LOGA4CPLUS_HAVE_ICONV_H

+#define DCMTK_LOG4CPLUS_HAVE_LIMITS_H

+#define DCMTK_LOG4CPLUS_HAVE_GETHOSTBYNAME_R
+#define DCMTK_LOGACPLUS_HAVE_CLOCK_GETTIME
+#define DCMTK_LOG4CPLUS_HAVE_NANOSLEEP

+#define DCMTK_LOG4CPLUS_HAVE_CLOCK_NANOSLEEP
+#define DCMTK_LOGA4CPLUS_HAVE_FCNTL

+#define DCMTK_LOGA4CPLUS_HAVE_LOCKF

+#define DCMTK_LOG4CPLUS_HAVE_FLOCK

+#define DCMTK_LOGA4CPLUS_DECLSPEC_PRIVATE
+#define DCMTK_LOG4CPLUS_HAVE_TLS_SUPPORT
+#define DCMTK_LOG4CPLUS_THREAD_LOCAL_VAR
+#define DCMTK_LOGA4CPLUS_HAVE___ SYNC_ADD_AND_FETCH
+#define DCMTK_LOG4CPLUS_HAVE___ SYNC_SUB_AND_FETCH
+#define DCMTK_LOG4CPLUS_HAVE_CXX11_ATOMICS
+#define DCMTK_LOGA4CPLUS_HAVE_C99_VARIADIC_MACROS
+#define DCMTK_LOG4CPLUS_HAVE_GNU_VARIADIC_MACROS
+#define DCMTK_LOG4CPLUS_HAVE_VSNPRINTF
+#define DCMTK_LOG4CPLUS_HAVE__VSNPRINTF
+#define DCMTK_LOG4CPLUS_HAVE_VFPRINTF_S
+#define DCMTK_LOG4CPLUS_HAVE_VFWPRINTF_S
+#define DCMTK_LOG4CPLUS_HAVE_VSPRINTF_S
+#define DCMTK_LOG4CPLUS_HAVE_VSWPRINTF_S
+#define DCMTK_LOG4CPLUS_HAVE__VSNPRINTF_S
+#define DCMTK_LOG4CPLUS_HAVE__VSNWPRINTF_S
+#define DCMTK_LOG4CPLUS_HAVE_FUNCTION_MACRO
+#define DCMTK_LOG4CPLUS_HAVE_PRETTY_FUNCTION_MACRO
+#define DCMTK_LOG4CPLUS_HAVE_FUNC_SYMBOL
+#define DCMTK_LOG4CPLUS_HAVE_MBSTOWCS
+#define DCMTK_LOG4CPLUS_HAVE_WCSTOMBS
+#define DCMTK_LOG4CPLUS_HAVE_GETTID
+#define DCMTK_LOG4CPLUS_WITH_ICONV

+#define DCMTK_LOG4CPLUS_HAVE_ICONV

+#define DCMTK_LOG4CPLUS_HAVE_ICONV_CLOSE
+#define DCMTK_LOG4CPLUS_HAVE_ICONV_OPEN

#4 - 2012-10-26 14:41 - Uli Schlachter

Log4cplus 1.1.0 does not build with MSC6 (774 errors, the first one being "cannot convert from 'void (_thiscall
log4cplus::thread::SharedMutex::*)(void)' to 'void (_thiscall log4cplus::thread::SharedMutex::*)(void)™ and the other errors being equally confusing).

Ideas?

(But to be fair: It feels like half the errors are "<foo> is not in namespace std" and the other half is related to template magic in thread/syncprims.h)

#5 - 2012-12-18 17:21 - Uli Schlachter
- File oflog.patch added
- % Done changed from 0 to 50

First working patch attached.

Known issues:

- Check if the new functions in OFMap, OFVector and OFString are still needed
- Our formatEachLine property is gone

- The "P" pattern for "just the first letter of the log level" is gone

If no one objects, | will fix these and push the result.

#6 - 2013-01-08 12:19 - Uli Schlachter
- File oflog2.patch added
- % Done changed from 50 to 80

No known issues left. If no one objects, I'll commit this soon (tm).

#7 - 2013-01-15 10:54 - Uli Schlachter
- Status changed from New to Closed

- % Done changed from 80 to 100

commit b2b14d78cdafcca698b5ef1c0d102386052b9fc3
Author: Uli Schlachter <dicom@offis.de>
Date: Fri Oct 26 15:54:03 2012 +0200

Update oflog to log4cplus 1.1.0

#8 - 2013-08-21 10:32 - J6rg Riesmeier

- Tracker changed from Bug to Feature

- Category set to Library

- Status changed from Closed to Resolved
- Assignee deleted (Uli Schlachter)

- % Done changed from 100 to 60

- Module set to oflog
Since this is a "continual process", | reopened this issue.

#9 - 2016-02-24 14:43 - Jorg Riesmeier

- Subject changed from Abgleich mit neuester log4cplus-Version to Update "oflog" to latest log4cplus release

Current version of "log4cplus” is 1.2.0 (16 January 2016): https:/sourceforge.net/p/log4cplus/news/2016/01/log4cplus-120-release/

#10 - 2017-03-24 12:43 - Marco Eichelberg
- Target version changed from 3.6.2 to 3.6.3

#11 - 2018-02-05 19:39 - Jan Schlamelcher
- Target version changed from 3.6.3 to 3.6.6

#12 - 2020-05-25 13:28 - Michael Onken
- Target version deleted (3.6.6)

Files

oflog.patch 2.21 MB 2012-12-18 Uli Schlachter

oflog2.patch 2.2MB 2013-01-08 Uli Schlachter
